implicit none
real :: a,b,c,x,trinome
integer :: i,n


n=5
a=1
b=2
c=-1

do i=1,n,1
write(*,*)'donne x'
read(*,*)x
write(*,*)a,'x^2+',b,'x+',c,'=',trinome(a,b,c,x)
enddo

end

function trinome(a,b,c,x)
implicit none
real, intent(in) :: a,b,c,x
real :: trinome

trinome=a*x**2+b*x+c

end function
